package config

import (
	"bytes"
	"encoding/gob"
)

func Encode(v interface{}) ([]byte, error) {
	buff := bytes.NewBuffer(nil)
	enc := gob.NewEncoder(buff)
	err := enc.Encode(v)
	return buff.Bytes(), err
}

func Decode(b []byte, v interface{}) error {
	buff := bytes.NewBuffer(b)
	enc := gob.NewDecoder(buff)
	err := enc.Decode(v)
	return err
}
